Subject: Re: [PATCH] net_sched: make traffic control network namespace aware

From: Patrick McHardy <[email-masked]>
Date: Mon, 22 Mar 2010 19:04:44 +0100

Patrick McHardy wrote:
> Tom Goff wrote:
>> Mostly minor changes to add a net argument to various functions and
>> remove initial network namespace checks.
>>
>> Make /proc/net/psched per network namespace.
> 
> Looks fine from a qdisc POV. One thing that appears to be missing
> though is teql master netdev registration in other than the initial
> namespace.

Actually we could take this opportunity and add rtnl_link support
for teql device registration. I can look into this in a couple of
days.